Bug 67402 - Kernel compilations fail if SCSI support is omitted
Kernel compilations fail if SCSI support is omitted
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-24 10:59 EDT by Lene Jensen
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 15:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lene Jensen 2002-06-24 10:59:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
I have compiled several kernels under 7.3 already, and I get the same fail every
time.  My compilations have been on IDE hardware, so it would not be
unreasonable to remover SCSI support to spead up an already slow process.  The
kernel compiles (make bzImage), modules compiles (make modules), but the
installation of modules crashes out, stating that certain SCSI modules cannot be
found (I don't remember in my head, but I can probably recreate the problem with
corresponding error messages).  As a result, we have to go back to make
config/menuconfig/xconfig.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.in config/menuconfig/xconfig, make sure that SCSI support is _not_ chosen.
2.make dep bzImage modules
3.make modules_install
 

Actual Results:  Complaints about missing SCSI modules

Expected Results:  Should not complain about SCSI, as we do not want the support.

Additional info:

Done this on different IDE hardware.

Note You need to log in before you can comment on or make changes to this bug.